Page MenuHomePhabricator

Create new wdio-wikibase release
Closed, ResolvedPublic

Description

In T199409 wdio-wikibase was changed to accommodate a change in WikibaseLexeme. This needs a new release to make this change available to WikibaseLexeme during the daily test.

Also, we should use this opportunity to make wdio-mediawiki a peer dependency. That should prevent the issue of having multiple versions of wdio-mediawiki installed.

Overall, this is part of the effort to get the daily nodejs selenium browser tests for Wikibase and WikibaseLexeme green again.

acceptance criteria

  • wdio-wikibase does no longer directly depend on wdio-mediawiki: 0.2.0
  • wdio-wikibase: 0.3.0 is released to https://www.npmjs.com/package/wdio-wikibase
  • there exists documentation somewhere how to do a release to npmjs

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseLexeme : masterRaise minimal wdio-wikibase and wdio-mediawiki to 0.3.0
mediawiki/extensions/Wikibase : masterBump wdio-wikibase version
mediawiki/extensions/Wikibase : masterBump wdio-mediawiki version and make it a peer dep

Event Timeline

Michael created this task.May 3 2019, 12:18 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 3 2019, 12:18 PM

Change 507958 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Bump wdio-mediawiki version and make it a peer dep

https://gerrit.wikimedia.org/r/507958

Change 507959 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/Wikibase@master] Bump wdio-wikibase version

https://gerrit.wikimedia.org/r/507959

Michael claimed this task.May 6 2019, 2:40 PM
Restricted Application added a project: User-Michael. · View Herald TranscriptMay 6 2019, 2:40 PM

running npm owner ls on this package, I get the following:

celenduin <mic.grosse+npmjs@googlemail.com>
gretadoci <gretadoci@gmail.com>
ladsgroup <ladsgroup@gmail.com>
mariushoch <marius.hoch@wikimedia.de>
lucaswerkmeister <mail@lucaswerkmeister.de>
tarrow <thomasarrow@gmail.com>
manicki <leszek.manicki@wikimedia.de>
addshore <addshorewiki@gmail.com>
jeroendedauw <jeroendedauw@gmail.com>
jand <dittrich.c.jan@gmail.com>
thiemowmde <thiemo.kreuz@wikimedia.de>

anyone of the current owners should be able to add you @Michael as an owner so that you can npm publish the new version. tagging some of them here @Ladsgroup @WMDE-leszek @Tarrow @Lucas_Werkmeister_WMDE @thiemowmde @JeroenDeDauw

@Michael is the first owner listed in the snippet you quote

Change 507958 merged by Alaa Sarhan:
[mediawiki/extensions/Wikibase@master] Bump wdio-mediawiki version and make it a peer dep

https://gerrit.wikimedia.org/r/507958

@Michael is the first owner listed in the snippet you quote

haha I would've never caught that one .. so @Michael if you still have access to that user you have been added with, you can publish the version already!

Change 507959 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Bump wdio-wikibase version

https://gerrit.wikimedia.org/r/507959

Change 508547 had a related patch set uploaded (by Michael Große; owner: Michael Große):
[mediawiki/extensions/WikibaseLexeme@master] Raise minimal wdio-wikibase and wdio-mediawiki to 0.3.0

https://gerrit.wikimedia.org/r/508547

Change 508547 merged by jenkins-bot:
[mediawiki/extensions/WikibaseLexeme@master] Raise minimal wdio-wikibase and wdio-mediawiki to 0.3.0

https://gerrit.wikimedia.org/r/508547

Out of the three bullet points in the acceptance criteria, this is not done only:

there exists documentation somewhere how to do a release to npmjs

I think then we can close this ticket.

alaa_wmde closed this task as Resolved.EditedMay 7 2019, 3:18 PM

Out of the three bullet points in the acceptance criteria, this is not done only:

there exists documentation somewhere how to do a release to npmjs

I think then we can close this ticket.

I would add a README file inside wdio-wikibase directory for now that explains how it is being published to npmjs